=== debian/changelog ===
regina-normal (7.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 11:38:55 +0000

regina-normal (7.0-2) unstable; urgency=low

  * Fixed the command-line utilities test suite on s390.
  * Build-depends on bsdextrautils (which provides hexdump), and also made
    the autopkgtests depend on this for the same reason.

 -- Ben Burton <bab@debian.org>  Mon, 20 Dec 2021 00:02:08 +1000

regina-normal (7.0-1) unstable; urgency=low

  * New upstream release.
  * Removed build-depends on libboost-dev, since upstream no longer requires it.
  * Build-depends on cmake (>= 3.12) and doxygen (>= 1.8.17), following the
    new requirements from upstream.
  * Changed the python build-depends from python3-all-dev to python3-dev
    (closes: #998455).
  * Downgraded gap from recommends to suggests.

 -- Ben Burton <bab@debian.org>  Fri, 17 Dec 2021 23:02:54 +1000
