=== debian/watch ===
version=4
https://github.com/regina-normal/regina/releases .*/regina-(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
