## regina-normal 7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
 
 # Version
-SET (PACKAGE_VERSION 7.0)
+SET (PACKAGE_VERSION 7.1)
 SET (SNAPPY_VERSION 2.8)
 SET (PACKAGE_STRING "${PACKAGE_PRETTY_NAME} ${PACKAGE_VERSION}")
 
@@ -300,8 +300,8 @@
   TRUE)
 
 FIND_PACKAGE(Jansson)
-INCLUDE_DIRECTORIES(${JANSSON_INCLUDE_DIR})
-MACRO_LOG_FEATURE(JANSSON_FOUND
+INCLUDE_DIRECTORIES(${Jansson_INCLUDE_DIR})
+MACRO_LOG_FEATURE(Jansson_FOUND
   "Jansson"
   "Essential: JSON support"
   "http://www.digip.org/jansson/"
@@ -322,21 +322,19 @@
     ENDIF(${CMAKE_VERSION} VERSION_LESS "3.16.0")
   ENDIF (Python_EXECUTABLE)
 
+  # Note: FindPython prioritises Python 3 (which is what we want also).
   FIND_PACKAGE(Python COMPONENTS Interpreter Development REQUIRED)
 
   IF (Python_FOUND)
     IF (${Python_VERSION_MAJOR} EQUAL 2)
-      IF (${Python_VERSION_MINOR} LESS 6)
-        MESSAGE(FATAL_ERROR "For Python 2.x, Regina needs Python >= 2.6.")
-      ENDIF ()
+      MESSAGE(FATAL_ERROR "Regina no longer supports Python 2.")
     ELSEIF (${Python_VERSION_MAJOR} EQUAL 3)
-      IF (${Python_VERSION_MINOR} LESS 1)
-        MESSAGE(FATAL_ERROR "For Python 3.x, Regina needs Python >= 3.1.")
+      IF (${Python_VERSION_MINOR} LESS 4)
+        MESSAGE(FATAL_ERROR "Regina needs Python >= 3.4.")
       ENDIF ()
     ELSE ()
       MESSAGE(FATAL_ERROR "Unknown Python major version: ${Python_VERSION_MAJOR}")
     ENDIF ()
   ENDIF (Python_FOUND)
 
-  # We need to properly escape the python executable for use in the bash
-  # script regina-python.
+  # We need to properly escape some python locations for use in various scripts.
