=== debian/changelog ===
regina-normal (7.1-1) unstable; urgency=low

  * New upstream release.
  * Now builds against Qt6, not Qt5.
  * Bumped standards-version to 4.6.1 (no changes required).

 -- Ben Burton <bab@debian.org>  Wed, 28 Sep 2022 10:04:35 +1000
