=== debian/control ===
--- 
+++ 
@@ -14,17 +14,17 @@
     libgraphviz-dev,
     libjansson-dev,
     libpopt-dev,
-    libqt5svg5-dev,
+    libqt6svg6-dev,
     libtokyocabinet-dev,
     libxml2-dev,
     pkg-config,
     python3-dev,
-    qtbase5-dev,
+    qt6-base-dev,
     shared-mime-info,
     xsltproc,
     zlib1g-dev,
     dpkg-dev (>= 1.16.0)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 
 Package: regina-normal
 Architecture: any
@@ -35,7 +35,7 @@
     ${perl:Depends},
     ${python3:Depends},
     ${misc:Depends}
-Recommends: regina-normal-doc (>= 7.0-0), evince | pdf-viewer
+Recommends: regina-normal-doc (>= 7.1-0), evince | pdf-viewer
 Suggests: regina-normal-dev, gap
 Description: mathematical software for low-dimensional topology
  Regina is a software package for 3-manifold and 4-manifold topologists,
