=== debian/tests/control ===
--- 
+++ 
@@ -40,6 +40,9 @@
 Test-Command: debian/tests/python-test angles
 Features: test-name=python-angles
 
+Test-Command: debian/tests/python-test bool
+Features: test-name=python-bool
+
 Test-Command: debian/tests/python-test bytes
 Features: test-name=python-bytes
 
@@ -54,9 +57,6 @@
 
 Test-Command: debian/tests/python-test constructors
 Features: test-name=python-constructors
-
-Test-Command: debian/tests/python-test deprecated
-Features: test-name=python-deprecated
 
 Test-Command: debian/tests/python-test discs
 Features: test-name=python-discs
