## regina-normal 7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,11 @@
 # Look here for Find___.cmake modules
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
 
+# Regina's own cmake scripts:
+INCLUDE( ReginaMacros )
+
 # Version
-SET (PACKAGE_VERSION 7.1)
+SET (PACKAGE_VERSION 7.2)
 SET (SNAPPY_VERSION 2.8)
 SET (PACKAGE_STRING "${PACKAGE_PRETTY_NAME} ${PACKAGE_VERSION}")
 
@@ -23,6 +26,18 @@
 STRING(REGEX MATCH "^([0-9]+).([0-9]+)" PACKAGE_VERSION_MAJOR "${PACKAGE_VERSION}")
 SET (PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1} )
 SET (PACKAGE_VERSION_MINOR ${CMAKE_MATCH_2} )
+
+IF(BUILD_INFO)
+  SET (PACKAGE_BUILD_STRING "${PACKAGE_STRING} (${BUILD_INFO})")
+ELSE(BUILD_INFO)
+  SET (BUILD_INFO "" CACHE STRING
+    "Optional additional information about this specific build.  Examples might be: \"Official macOS build\", or \"Debian package build\"."
+  FORCE)
+  SET (PACKAGE_BUILD_STRING "${PACKAGE_STRING}")
+ENDIF(BUILD_INFO)
+REGINA_ESCAPE_C (BUILD_INFO)
+REGINA_ESCAPE_C (PACKAGE_BUILD_STRING)
+MESSAGE (STATUS "Detailed version: ${PACKAGE_BUILD_STRING}")
 
 # Make a release build by default.
 IF(NOT CMAKE_BUILD_TYPE)
@@ -48,9 +63,6 @@
 IF (WIN32)
   SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-ipa-cp-clone")
 ENDIF (WIN32)
-
-# Regina's own cmake scripts:
-INCLUDE( ReginaMacros )
 
 # Distinguish between the different Regina installation types:
 # XDG = standard freedesktop.org filesystem installation in a fixed location.
@@ -190,6 +202,7 @@
 REGINA_ESCAPE_BASH (CMAKE_INSTALL_PREFIX)
 REGINA_ESCAPE_BASH (INCLUDEDIR)
 REGINA_ESCAPE_BASH (LIBDIR)
+REGINA_ESCAPE_BASH (PACKAGE_BUILD_STRING)
 REGINA_ESCAPE_PERL (CMAKE_INSTALL_PREFIX)
 REGINA_ESCAPE_PERL (LIBDIR)
 REGINA_ESCAPE_PERL (PYLIBDIR)
@@ -325,16 +338,3 @@
   # Note: FindPython prioritises Python 3 (which is what we want also).
   FIND_PACKAGE(Python COMPONENTS Interpreter Development REQUIRED)
 
-  IF (Python_FOUND)
-    IF (${Python_VERSION_MAJOR} EQUAL 2)
-      MESSAGE(FATAL_ERROR "Regina no longer supports Python 2.")
-    ELSEIF (${Python_VERSION_MAJOR} EQUAL 3)
-      IF (${Python_VERSION_MINOR} LESS 4)
-        MESSAGE(FATAL_ERROR "Regina needs Python >= 3.4.")
-      ENDIF ()
-    ELSE ()
-      MESSAGE(FATAL_ERROR "Unknown Python major version: ${Python_VERSION_MAJOR}")
-    ENDIF ()
-  ENDIF (Python_FOUND)
-
-  # We need to properly escape some python locations for use in various scripts.
