=== debian/changelog ===
regina-normal (7.2-3) unstable; urgency=low

  * Now builds and runs the test suite correctly under Python 3.11
    (closes: #1027943).

 -- Ben Burton <bab@debian.org>  Tue, 17 Jan 2023 00:02:27 +1000

regina-normal (7.2-2) unstable; urgency=low

  * Fix compile error on powerpc due to use of __bool, which is reserved
    on that platform.
  * Add additional autopkgtests for the new python tests in Regina 7.2.

 -- Ben Burton <bab@debian.org>  Fri, 28 Oct 2022 15:27:28 +1000

regina-normal (7.2-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Thu, 27 Oct 2022 08:17:22 +1000
